Subject: Re: linux-next: manual merge of the pci tree with Linus' tree

From: Jesse Barnes <[email-masked]>
Date: Tue, 30 Jun 2009 09:00:38 -0700

On Mon, 29 Jun 2009 19:16:13 -0700
Matthew Wilcox <[email-masked]> wrote:

> On Mon, Jun 29, 2009 at 07:01:35PM -0700, Jesse Barnes wrote:
> > On Tue, 30 Jun 2009 11:56:38 +1000
> > Stephen Rothwell <[email-masked]> wrote:
> > 
> > > Hi Jesse,
> > > 
> > > Today's linux-next merge of the pci tree got conflicts in
> > > arch/ia64/include/asm/pci.h, arch/mn10300/include/asm/pci.h and
> > > include/asm-generic/pci.h between commit
> > > a6c140969b4685f9b9f6773c0760f55ca66d1825 ("Delete
> > > pcibios_select_root") from Linus' tree and commit
> > > a53cd7419b22c14b5a1e6859a940fb6bfa77963f ("PCI: remove
> > > pcibios_scan_all_fns()") from the pci tree.
> > > 
> > > Just context changes (adjacent removals).  I fixed it up (see
> > > below) and can carry the fix for a while.
> > 
> > Ah ok, thanks.  That'll get fixed up after I send the current
> > for-linus bits over and refresh my PCI tree.
> 
> I think you need to pull from Linus' tree before you send the bits
> over -- that's a conflict between Linus' tree and your tree, and you
> don't want to annoy Linus by making him merge them ;-)

Ah but I don't want to annoy Linus by merging either.  In fact, he's
stated explicitly several times that I should *not* pull his tree into
mine, either by rebasing or merging; his position is that pulling an
old tree from me should be fine, since no one else should have commits
in the PCI area, or if they do they'll be trivial and he'll fix them
up.

-- 
Jesse Barnes, Intel Open Source Technology Center